<cfcomponent name="projectGateway">

	<cffunction name="getProjectList" access="public" returntype="query" output="false">
		<cfargument name="createdBy" default="" />
		<cfargument name="approvalStatus" default="" />
		<cfargument name="projectID" default="" />
		<cfargument name="all" default="" />
		<cfset var getProjectList = "" />
		<cfquery name="getProjectList" datasource="bugTrack">
			SELECT *
			FROM prProjects
			WHERE
			<cfif len(arguments.createdBy) OR len(arguments.approvalStatus) OR len(arguments.projectID) OR len(arguments.all)>
				0 = 0
			<cfelse>
				0 = 1
			</cfif>
			<cfif len(arguments.createdBy)>
				AND createdBy = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.createdBy)#" />
			</cfif>
			<cfif len(arguments.approvalStatus)>
				AND approvalStatus = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.approvalStatus)#" />
			</cfif>
			<cfif val(arguments.projectID) gt 0>
				AND projectID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.projectID)#" />
			</cfif>
		</cfquery>
		<cfreturn getProjectList />
	</cffunction>

</cfcomponent>
