<cfcomponent name="projectGateway">
	
	<cffunction name="init" access="public" returntype="components.project.projectGateway" output="false">
    	<cfargument name="config" required="yes" type="any">
        <cfset variables.dsn = config.getDsn() />       
        <cfreturn this />
    </cffunction>	

	<cffunction name="getProjectList01" access="public" returntype="query" output="false">
	</cffunction>

	<cffunction name="getProjectList02" access="public" returntype="query" output="false">
		<cfset var getProjectList = queryNew("empty") />
		<cfreturn getProjectList />
	</cffunction>

	<cffunction name="getProjectList03" access="public" returntype="query" output="false">
		<cfset var getProjectList = "" />
		<cfquery name="getProjectList" datasource="bugTrack">
			SELECT *
			FROM prProjects
		</cfquery>
		<cfreturn getProjectList />
	</cffunction>

	<cffunction name="getProjectList04" access="public" returntype="query" output="false">
		<cfargument name="createdBy" default="" />
		<cfargument name="approvalStatus" default="" />
		<cfargument name="projectID" default="" />
		<cfset var getProjectList = "" />
		<cfquery name="getProjectList" datasource="bugTrack">
			SELECT *
			FROM prProjects
			WHERE 0 = 0
			<cfif len(arguments.createdBy)>
				AND createdBy = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.createdBy)#" />
			</cfif>
			<cfif len(arguments.approvalStatus)>
				AND approvalStatus = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.approvalStatus)#" />
			</cfif>
			<cfif len(arguments.projectID)>
				AND projectID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.projectID)#" />
			</cfif>
		</cfquery>
		<cfreturn getProjectList />
	</cffunction>

	<cffunction name="getProjectList05" access="public" returntype="query" output="false">
		<cfargument name="createdBy" default="" />
		<cfargument name="approvalStatus" default="" />
		<cfargument name="projectID" default="" />
		<cfset var getProjectList = "" />
		<cfquery name="getProjectList" datasource="bugTrack">
			SELECT *
			FROM prProjects
			WHERE
			<cfif len(arguments.createdBy) OR len(arguments.approvalStatus) OR len(arguments.projectID)>
				0 = 0
			<cfelse>
				0 = 1
			</cfif>
			<cfif len(arguments.createdBy)>
				AND createdBy = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.createdBy)#" />
			</cfif>
			<cfif len(arguments.approvalStatus)>
				AND approvalStatus = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.approvalStatus)#" />
			</cfif>
			<cfif len(arguments.projectID)>
				AND projectID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.projectID)#" />
			</cfif>
		</cfquery>
		<cfreturn getProjectList />
	</cffunction>

	<cffunction name="getProjectList06" access="public" returntype="query" output="false">
		<cfargument name="createdBy" default="" />
		<cfargument name="approvalStatus" default="" />
		<cfargument name="projectID" default="" />
		<cfargument name="all" default="" />
		<cfset var getProjectList = "" />
		<cfquery name="getProjectList" datasource="bugTrack">
			SELECT *
			FROM prProjects
			WHERE
			<cfif len(arguments.createdBy) OR len(arguments.approvalStatus) OR len(arguments.projectID) OR len(arguments.all)>
				0 = 0
			<cfelse>
				0 = 1
			</cfif>
			<cfif len(arguments.createdBy)>
				AND createdBy = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.createdBy)#" />
			</cfif>
			<cfif len(arguments.approvalStatus)>
				AND approvalStatus = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.approvalStatus)#" />
			</cfif>
			<cfif len(arguments.projectID)>
				AND projectID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.projectID)#" />
			</cfif>
		</cfquery>
		<cfreturn getProjectList />
	</cffunction>

</cfcomponent>
