<cfcomponent name="projectNotesGateway">

	<cffunction name="getProjectNotesList" access="public" returntype="query" output="false">
		<cfargument name="noteID" default="" />
		<cfargument name="projectID" default="" />
		<cfargument name="createdBy" default="" />
		<cfargument name="deleted" default="" />
		<cfargument name="all" default="" />
		<cfset var getProjectNotesList = "" />
		<cfquery name="getProjectNotesList" datasource="bugTrack">
			SELECT noteID, projectID, text, createDate, createdBy, deleted, deletedBy, deleteDate
			FROM prProjectNotes
			WHERE
			<cfif val(arguments.noteID) gt 0 or val(arguments.projectID) gt 0 or val(arguments.createdBy) gt 0 or
					len(arguments.deleted) gt 0 or len(arguments.all) gt 0>
				0 = 0
			<cfelse>
				0 = 1
			</cfif>
			<cfif val(arguments.noteID) gt 0>
				AND noteID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.noteID)#" />
			</cfif>
			<cfif val(arguments.projectID) gt 0>
				AND projectID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.projectID)#" />
			</cfif>
			<cfif val(arguments.createdBy) gt 0>
				AND createdBy = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.createdBy)#" />
			</cfif>
			<cfif len(arguments.deleted) gt 0>
				AND deleted = <cfqueryparam cfsqltype="cf_sql_bit" value="#val(arguments.deleted)#" />
			</cfif>
		</cfquery>
		<cfreturn getProjectNotesList />
	</cffunction>

</cfcomponent>
