<cfcomponent name="projectMemberGateway">

	<cffunction name="getProjectMemberList" access="public" returntype="query" output="false">
		<cfargument name="userID" default="" />
		<cfargument name="projectSupervisor" default="" />
		<cfargument name="projectID" default="" />
		<cfargument name="all" default="" />
		<cfset var getProjectMemberList = "" />
		<cfquery name="getProjectMemberList" datasource="bugTrack">
			SELECT memberID, projectID, userID, projectSupervisor
			FROM prProjectMembers
			WHERE
				<cfif val(arguments.userID) gt 0 OR len(arguments.projectSupervisor) OR val(arguments.projectID) gt 0 OR len(arguments.all)>
					0 = 0
				<cfelse>
					0 = 1
				</cfif>
				<cfif val(arguments.userID) gt 0>
					AND userID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.userID)#">
				</cfif>
				<cfif len(arguments.projectSupervisor) gt 0>
					AND projectSupervisor = <cfqueryparam cfsqltype="cf_sql_bit" value="#val(arguments.projectSupervisor)#">
				</cfif>
				<cfif val(arguments.projectID) gt 0>
					AND projectID = <cfqueryparam cfsqltype="cf_sql_integer" value="#val(arguments.projectID)#">
				</cfif>
		</cfquery>
		<cfreturn getProjectMemberList />
	</cffunction>

</cfcomponent>
